Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 453974 (CVE-2012-5689) - net-dns/bind: AAAA Record Lookup Handling Assertion Failure Vulnerability (CVE-2012-5689)
Summary: net-dns/bind: AAAA Record Lookup Handling Assertion Failure Vulnerability (CV...
Status: RESOLVED FIXED
Alias: CVE-2012-5689
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/51969/
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 12:12 UTC by Agostino Sarubbo
Modified: 2014-01-29 22:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-01-25 12:12:54 UTC
From $URL :

Description
A vulnerability has been reported in ISC BIND, which can be exploited by malicious people to cause 
a DoS (Denial of Service).

The vulnerability is caused due to an error when remapping A records into AAAA records while 
handling AAAA record lookups for an A record rewrite rule in a Response Policy Zone (RPZ). This can 
be exploited to trigger an assertion failure and terminate the named process.

Successful exploitation requires that both DNS64 and Response Policy Zones are configured and that 
A rewrite rules are maintained but not AAAA rewrite rules.

The vulnerability is reported in versions 9.8.0 through 9.8.4-P1 and 9.9.0 through 9.9.2-P1.


Solution
As a workaround ensure that the RPZ contains a AAAA rewrite rule for every A rewrite rule. The 
vulnerability will be fixed in a beta version scheduled to be released on January 24, 2013.

Provided and/or discovered by
The vendor credits Pories Ediansyah, Institut Teknologi Bandung.

Original Advisory
http://www.isc.org/software/bind/advisories/cve-2012-5689
https://kb.isc.org/article/AA-00855
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2013-01-25 15:20:51 UTC
CVE-2012-5689 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2012-5689):
  ISC BIND 9.8.x through 9.8.4-P1 and 9.9.x through 9.9.2-P1, in certain
  configurations involving DNS64 with a Response Policy Zone that lacks an
  AAAA rewrite rule, allows remote attackers to cause a denial of service
  (assertion failure and named daemon exit) via a query for an AAAA record.
Comment 2 Samuel Damashek (RETIRED) gentoo-dev 2013-12-23 03:32:41 UTC
No affected versions in-tree.

@security: Please vote.
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-01-29 11:24:51 UTC
(In reply to Samuel Damashek from comment #2)
> No affected versions in-tree.
> 
> @security: Please vote.

No needed. Added to existing glsa draft.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2014-01-29 22:52:45 UTC
This issue was resolved and addressed in
 GLSA 201401-34 at http://security.gentoo.org/glsa/glsa-201401-34.xml
by GLSA coordinator Sean Amoss (ackle).